
</style>


<?php
include_once("../header.php");
if($_GET['filtro']!=""){
      include_once("../php/config.php");
      $sql = mysql_query("select * from compra_factoria where productor like '%".$_GET['filtro']."%'") or die(mysql_error());
    }
?>
<script>
///....
	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script>

 <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
    window.location.href="clientes.php?filtro="+t;
   }
 </script>

<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:16px;
  }
</style>

  <div class="container-fluid">
<
      
  <div class="row">
    <div class="col-md-12">

          <div class="row">
        <div class="col-md-4 mt-2 mb-2">
          <a class="btn btn-primary mb-2 " href="javascript:void(0)" onClick="window.location.href='comprar.php'"><i class="fa fa-plus"></i> Nueva</a>
            <a class="btn btn-default mb-2 ml-2 btn-sm" href="todas_ventas.php"><i class="fa fa-search"></i> Busqueda</a>
        </div>
        
        <div class="col-md-3 mt-2 mb-2">
          <input type="search" id="txt_buscar" placeholder="Filtrar registros" class="form-control" value="<?php echo $_GET['filtro']?>">
        </div>
        
        
        <div class="col-md-3 mt-2 mb-2">
          <a class="btn btn-default" href="#" onClick="filtrar()"><i class="fa fa-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>
        </div>
      </div>

    
      
      <div class="table-responsive border p-3">
      <table class="table table-hover table-striped table-sm table-bordered" data-page-length='8' style="width: 100%">

      
            <th>Folio</th>
            <th>Fecha</th>
            <th>Proveedor</th>
           
            <th>Monto</th>
            <th>balance</th>
            <th>Editar</th>
      
          <tbody>
          <?php while(@$r=mysql_fetch_array($sql)){
            $folio = $r["folio"];
            $c++;
            $total+=$r["total"];
            $balance+=$r["balance"];
            $costo+=$r["costo"];
            $ganancia+=$r["total"] - $costo;
            ?>
            <tr>
              <td><?php echo $r["folio"]?></td>
              <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
              <td><?php echo $r["proveedor"]?></td>
               <td><?php echo @decimal($r["total"])?></td>
              <td><?php echo @decimal($r["balance"])?></td>
             
           
             <td><a class="" href="javascript:void(0)" onClick="reimprimir('<?php echo $folio?>')" ><i class="fa fa-print"></i></a>
              <a class="text-success" href="javascript:void(0)" onClick="editar('<?php echo $folio?>')" ><i class="fa fa-edit"></i></a>

             </td>
            </tr>
                                                      <?php }?>
          </tbody>
          <tfoot>
            <br>

            <th>
              Cant. ventas: <?php echo $c?>
            </th>
            <th class="text-success">
              Total: <?php echo decimal($total)?>
            </th>

            <th>
              Costo: <?php echo decimal($costo)?>
            </th>

            <th class="text-success">
              Ganancias: <?php echo decimal($ganancia)?>
            </th>
          </tfoot>
        </table>
      </div>
    </div>
  </div>
  
      </div>
    </div>
    


        
</div>
  </div>

<!---Modal Cliente-->
<div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">


    <form name="frm" action="" method="POST" id="frm">
     

      
       <div class="row">
        <label for="id" class="col-sm-3 col-form-label" >Desde</label>
        <div class="col-sm-9">
          <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
        </div>
      </div>

       <div class="row">
        <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
        <div class="col-sm-9">
          <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
        </div>
      </div>

       

      
      
    </form>
    
    </div>
        <div class="modal-footer">
          <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>


          <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
        </div>
      </div>
    </div>
  </div>

      <?php
      include_once("../footer.php");

      function state($est) {

          if ($est == "1") {
              $b = "<span class='badge badge-success'>Activo</span>";
          } else {

              $b = "<span class='badge badge-danger'>Inactivo</span>";
          }

          return $b;
      }
      ?>
          
<script>
$("#delete").hide();
id_producto="";
function ver(id){
  $("#delete").show();
  dstry();
    $("#frm").trigger('reset');
    setTimeout(function(){
      $("#nombre").focus();
      $("#nombre").select();
  },1000);

          var sql="select * from productos where id_producto='"+id+"'"
          _enviar("../php/traer_datos.php",{"sql":sql})
          .done(function( data ){
              var rs = JSON.parse(data);
     
              for( var i in rs.data){
                  id_producto= rs.data[i].id_producto;             
                  $("#nombre").val(rs.data[i].descripcion);
                  $("#codigo").val(rs.data[i].codigo);
                  
                  $("#id").val(rs.data[i].id_producto);
                  $("#precio").val(rs.data[i].precio);
                  $("#costo").val(rs.data[i].costo);
                  $("#stock").val(rs.data[i].stock);
                  $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
              }
              
          })
      }

function grabar_producto(){
   if(!confirm("Seguro(a) que desea registrar este producto?")){return;}                   
  
   var nombre = $("#nombre").val();
   var codigo = $("#codigo").val();
   var precio = $("#precio").val();
   var costo = $("#costo").val();
   var stock = $("#stock").val();
   var proveedor = $("#proveedor").val();




   if(nombre=="" || codigo==""){alert('Faltan datos'); return}
  var sql="";                            
      if(id_producto==""){
          sql="INSERT INTO productos set ";
          sql+="descripcion='"+nombre+"'";
          sql+=", codigo='"+codigo+"'";
          sql+=", costo='"+costo+"'";
          sql+=", precio='"+precio+"'"; 
          sql+=", proveedor='"+proveedor+"'"; 
          sql+=", stock='"+stock+"'"; 

      }else{
          sql="UPDATE productos set";
          sql+=" descripcion='"+nombre+"'";
          sql+=", codigo='"+codigo+"'";
          sql+=", costo='"+costo+"'";
          sql+=", precio='"+precio+"'"; 
          sql+=", proveedor='"+proveedor+"'"; 
          sql+=", stock='"+stock+"'"; 
          sql+=" WHERE id_producto='"+id_producto+"'";
         
          
      }
      
  _enviar("../php/update.php",{"sql":sql})
  .done(function( data ){
    //var rs = JSON.parse(data);
    if(data=="1"){
     
      noti("success","Registro grabado con exito","Registro grabado");
      $("#delete").hide();
      dstry();
      id_producto="";
       $("#modalProducto").modal('hide');
      setTimeout(function(){window.location.reload()},2000)

    }else{
        alert(data);
        
    }
     
  })
}


function borrar(){

   if(id_producto==""){msg('Seleccione un registro'); return}
   if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
  var sql="";                            
  sql="delete from productos where id_producto='"+id_producto+"'";
      
  _enviar("../php/update.php",{"sql":sql})
  .done(function( data ){
    //var rs = JSON.parse(data);
    if(data=="1"){
      $("#modalcobrador").modal('hide');
      noti("success","Registro eliminado con exito","Registro grabado");
      $("#delete").hide();
      dstry();
      id_producto="";
      setTimeout(function(){window.location.reload()},1000)

    }else{
        msg(data);
        
    }
      $("#loading").modal('hide');
  })
}

function reimprimir(f){
 window.open('ticket_compra.php?folio='+f, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

}

function editar(f){
window.location.href="editar_venta.php?folio="+f;


}

$("table").DataTable({
 "language": {
          "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
      }
});
       
      </script>

